$id: "https://myome.com/schemas/v1/Subject.json"
$schema: "https://json-schema.org/draft/2020-12/schema"
title: "Subject"
type: "object"

allOf:
  - $ref: '../structs.json#/definitions/Individual'
  - type: object
    properties:
      preferred_name:
        $ref: '../structs.json#/definitions/Names'
      # TODO: Use demographic struct for this info
      demographics:
        $ref: '../structs.json#/definitions/Demographics'
